#include "predef.h" 
#include <stdio.h>
#include <ctype.h>
#include <startnet.h>
#include <autoupdate.h>
#include <dhcpclient.h>
#include <smarttrap.h>
#include <taskmon.h>
#include "dualstdio.h"
										  

extern "C" { 
void UserMain(void * pd);
}


const char * AppName="dualstdio";

void UserMain(void * pd)
{
   InitializeStack();/* Setup the TCP/IP stack buffers etc.. */     

   GetDHCPAddressIfNecessary();/*Get a DHCP address if needed*/
   /*You may want to add a check for the return value from this function*/
   /*See the function definition in  \nburn\include\dhcpclient.h*/

   OSChangePrio(MAIN_PRIO);/* Change our priority from highest to something in the middle */

   EnableAutoUpdate();/* Enable the ability to update code over the network */ 

   StartHTTP();/* Start the web serrver */

   EnableSmartTraps();/* Enable the smart reporting of traps and faults */

   EnableTaskMonitor();/*Enable the Task scan utility */
   
   OSTimeDly(10); //Let DHCP Message ome out before we mess with STDIO

   StartSwappingDualStdio(-1,0,0,TCP_PRIO+1);



   iprintf("Application started\r\n");
   while (1)
  {
      OSTimeDly(TICKS_PER_SECOND * 1);
	  iprintf("Tick at %d\r\n",Secs);
	  while(charavail())
	  {
		char c=getchar();
		if(c>=' ')
		iprintf("Echo[%c]\r\n",c);
		else
		iprintf("Echo[x%02X]\r\n",c);

	  }
  }
}
